Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.technicalconnector.signature.domain
Class XadesOption

    java.lang.Object
      be.fgov.ehealth.technicalconnector.signature.domain.XadesOption

    public final class XadesOption

extends Object

List of options that can be passed as XadesOption.

Field Summary
`static String` | `BASEURI` Parameter to specify the baseURI The values must be a `String`.
`static String` | `CANONICALIZATIONMETHODURI` Parameter to specify a canonicalizationMethodURI The value must be a `String`.
`static String` | `DIGESTURI` Parameter to specify a digestURI The value must be a `String`.
`static String` | `ENCAPSULATE` Parameter to specify if the The value must be a `Boolean`.
`static String` | `ENCAPSULATE_TRANSFORMER` Parameter to specify how to encapsulate the signature in the result.
`static String` | `ENCAPSULATE_XPATH` Parameter to specify where the signature should be added in the element.
`static String` | `FOLLOWNESTEDMANIFEST` Flag indicating that the documents referenced in the manifest must be followed.
`static String` | `SIGNATUREMETHODURI` Parameter to specify the signatureMethodURI The value must be a `String`.
`static String` | `SIGNATURETIMESTAMP_ALGORITHMURI` Parameter to specify the digest used to invoke the timestamping authority.
`static String` | `SIGNATURETIMESTAMP_CANONICALIZATIONMETHODURI` Parameter to specify a canonicalizationMethodURI of the SignatureTimeStamp The value must be a `String`.
`static String` | `SIGNATURETIMESTAMP_CREDENTIAL` Parameter to specify the credential to invoke the timestamping authority.
`static String` | `SIGNATURETIMESTAMP_PROFILE` Parameter to specify the profile to invoke the timestamping authority.
`static String` | `SIGNATURETIMESTAMP_TSA_URL` Parameter to specify the endpoint of the TimestampAuthority to invoke.
`static String` | `SIGNINGTIME_CLOCK_SKEW_DURATION` Parameter to specify the clockskew to use when using the signing time.
`static String` | `SIGNINGTIME_CLOCK_SKEW_TIMEUNIT` Parameter to specify the clockskew to use when using the signing time.
`static String` | `TRANFORMERLIST` Deprecated. `TRANSFORMERLIST` should be used
`static String` | `TRANSFORMERLIST` Parameter to specify the transformer that must be used.

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FOLLOWNESTEDMANIFEST

    public static final String FOLLOWNESTEDMANIFEST

  Flag indicating that the documents referenced in the manifest must be followed.

  The value must be a `Boolean`

  See Also:
    Constant Field Values

### DIGESTURI

    public static final String DIGESTURI

  Parameter to specify a digestURI The value must be a `String`.

  The default value is: http://www.w3.org/2001/04/xmlenc#sha256

  See Also:
    Constant Field Values

### TRANSFORMERLIST

    public static final String TRANSFORMERLIST

  Parameter to specify the transformer that must be used.

  The values must be a `List` containing `String`. The default value is an empty `List`.

  See Also:
    Constant Field Values

### TRANFORMERLIST

    @Deprecated
    public static final String TRANFORMERLIST

  Deprecated. `TRANSFORMERLIST` should be used
  See Also:
    Constant Field Values

### CANONICALIZATIONMETHODURI

    public static final String CANONICALIZATIONMETHODURI

  Parameter to specify a canonicalizationMethodURI The value must be a `String`.

  The default values is: http://www.w3.org/2001/10/xml-exc-c14n#"

  See Also:
    Constant Field Values

### SIGNATUREMETHODURI

    public static final String SIGNATUREMETHODURI

  Parameter to specify the signatureMethodURI

  The value must be a `String`. The default values is: http://www.w3.org/2001/04/xmldsig-more#rsa-sha256

  See Also:
    Constant Field Values

### BASEURI

    public static final String BASEURI

  Parameter to specify the baseURI The values must be a `String`.

  The default values is an empty `String`.

  See Also:
    Constant Field Values

### SIGNATURETIMESTAMP_CANONICALIZATIONMETHODURI

    public static final String SIGNATURETIMESTAMP_CANONICALIZATIONMETHODURI

  Parameter to specify a canonicalizationMethodURI of the SignatureTimeStamp

  The value must be a `String`. The default values is: http://www.w3.org/2001/10/xml-exc-c14n#

  See Also:
    Constant Field Values

### SIGNATURETIMESTAMP_ALGORITHMURI

    public static final String SIGNATURETIMESTAMP_ALGORITHMURI

  Parameter to specify the digest used to invoke the timestamping authority.

  The value must be a `String`. The default values is:

  See Also:
    Constant Field Values

### SIGNATURETIMESTAMP_PROFILE

    public static final String SIGNATURETIMESTAMP_PROFILE

  Parameter to specify the profile to invoke the timestamping authority.

  The value must be a `String`. The default values is: SHA-256

  See Also:
    Constant Field Values

### SIGNATURETIMESTAMP_CREDENTIAL

    public static final String SIGNATURETIMESTAMP_CREDENTIAL

  Parameter to specify the credential to invoke the timestamping authority.

  The value must be a `Credential`. The default values is: Holder-Of-Key certificate of the session

  See Also:
    Constant Field Values

### SIGNATURETIMESTAMP_TSA_URL

    public static final String SIGNATURETIMESTAMP_TSA_URL

  Parameter to specify the endpoint of the TimestampAuthority to invoke.

  The value must be a `String`. The default values is: the value of the property of endpoint.tsa.authory

  See Also:
    Constant Field Values

### SIGNINGTIME_CLOCK_SKEW_DURATION

    public static final String SIGNINGTIME_CLOCK_SKEW_DURATION

  Parameter to specify the clockskew to use when using the signing time.

  The value must be a `Integer`. The default value is: 5.

  See Also:
    Constant Field Values

### SIGNINGTIME_CLOCK_SKEW_TIMEUNIT

    public static final String SIGNINGTIME_CLOCK_SKEW_TIMEUNIT

  Parameter to specify the clockskew to use when using the signing time.

  The value must be a `TimeUnit`. The default value is: `TimeUnit.MINUTES`.

  See Also:
    Constant Field Values

### ENCAPSULATE

    public static final String ENCAPSULATE

  Parameter to specify if the

  The value must be a `Boolean`. The default values is: false

  See Also:
    Constant Field Values

### ENCAPSULATE_XPATH

    public static final String ENCAPSULATE_XPATH

  Parameter to specify where the signature should be added in the element. Note: signature will be added before the element specified in the XPATH.

  The value must be a XPATH 1.0 `String`

  See Also:
    Constant Field Values

### ENCAPSULATE_TRANSFORMER

    public static final String ENCAPSULATE_TRANSFORMER

  Parameter to specify how to encapsulate the signature in the result.

  The value must be a `EncapsulationTransformer`. By default the xmlsignature element is added.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSDIETICIAN 3.28.5 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.